import request from '@/utils/request'

export function appGetUserInfo() {
  return request({
    url: '/app/user/userInfo',
    method: 'get'
  })
}

// 用户获取下级列表（孙子）
export function appListGrandsonUser(params) {
  return request({
    url: '/app/user/grandsonList',
    method: 'get',
    params
  })
}

// 用户获取下级详情（孙子）
export function appGetUser(userId) {
  return request({
    url: `/app/user/${userId}`,
    method: 'get'
  })
}

// ids用户获取用户列表
export function appListUserByIds(userIds) {
  return request({
    url: `/app/user/listByIds/${userIds}`,
    method: 'get'
  })
}
